[arch-commits] Commit in brltty/trunk (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Thu Jun 4 15:41:54 EDT 2009


    Date: Thursday, June 4, 2009 @ 15:41:53
  Author: andyrtr
Revision: 41497

upgpkg: brltty 3.10-2
    rebuilt against new icu 4.2; disable broken and unwanted java-bindings

Modified:
  brltty/trunk/PKGBUILD

----------+
 PKGBUILD |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-04 19:35:27 UTC (rev 41496)
+++ PKGBUILD	2009-06-04 19:41:53 UTC (rev 41497)
@@ -3,19 +3,20 @@
 # Contributor: William Rea <sillywilly at gmail.com>
 pkgname=brltty
 pkgver=3.10
-pkgrel=1
+pkgrel=2
 pkgdesc="Braille display driver for Linux/Unix"
 arch=('i686' 'x86_64')
 url="http://mielke.cc/brltty"
 license=('GPL' 'LGPL')
-depends=('libxaw' 'at-spi>=1.24.0' 'gpm>=1.20.5' 'icu' 'python>=2.6')
+depends=('libxaw' 'at-spi>=1.26.0' 'gpm>=1.20.6' 'icu>=4.2' 'python>=2.6.2')
 options=('!makeflags')
 source=(http://mielke.cc/brltty/releases/brltty-${pkgver}.tar.gz)
 md5sums=('d52f332a29e00495d166e7f45403fa9d')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  CFLAGS+="${CFLAGS} -D_GNU_SOURCE"  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --enable-gpm || return 1
+  CFLAGS+="${CFLAGS} -D_GNU_SOURCE"  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man \
+   --enable-gpm  --disable-java-bindings|| return 1
   make || return 1
   make INSTALL_ROOT="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list